base-compat-0.12.1: A compatibility layer for base

Safe Haskell | Trustworthy
Language | Haskell2010

Data.Type.Coercion.Compat

Synopsis

- module Data.Type.Coercion
- gcoerceWith :: forall k (a :: k) (b :: k) r. Coercion a b -> (Coercible a b => r) -> r

# Documentation

module Data.Type.Coercion

gcoerceWith :: forall k (a :: k) (b :: k) r. Coercion a b -> (Coercible a b => r) -> r #

Generalized form of type-safe cast using representational equality

Since: base-4.10.0.0